at.chipkarte.client.prop.soap

## Class Konsultation

- Object
- - at.chipkarte.client.prop.soap.Konsultation

-     public class Konsultation
      extends Object

  Beschreibt die Konsultation, an die ein Befund gebunden ist.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Konsultation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBehandlungsdatum()` Datum der Behandlung.
    `String` | `getBehandlungsfallCode()` Code des Behandlungsfalls.
    `String` | `getFachgebietsCode()` Code des Fachgebiets.
    `Long` | `getKonsultationId()` Eindeutiger Bezeichner der Konsultation.
    `String` | `getLeistungsSvtCode()` Code des leistungszuständigen SV-Trägers.
    `String` | `getVerrechnungsSvtCode()` Code des verrechnungszuständigen SV-Trägers.
    `void` | `setBehandlungsdatum(String behandlungsdatum)`
    `void` | `setBehandlungsfallCode(String behandlungsfallCode)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setKonsultationId(Long konsultationId)`
    `void` | `setLeistungsSvtCode(String leistungsSvtCode)`
    `void` | `setVerrechnungsSvtCode(String verrechnungsSvtCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Konsultation

          public Konsultation()

  - ### Method Detail

    - #### getKonsultationId

          public Long getKonsultationId()

      Eindeutiger Bezeichner der Konsultation.
      Format: max. 19-stellig
      Returns:
        Bezeichner der Konsultation

    - #### setKonsultationId

          public void setKonsultationId(Long konsultationId)

    - #### getBehandlungsdatum

          public String getBehandlungsdatum()

      Datum der Behandlung.
      Format: 10-stellig TT.MM.JJJJ
      Returns:
        Datum der Behandlung

    - #### setBehandlungsdatum

          public void setBehandlungsdatum(String behandlungsdatum)

    - #### getLeistungsSvtCode

          public String getLeistungsSvtCode()

      Code des leistungszuständigen SV-Trägers.
      Format: 2-stellig
      Returns:
        Code des leistungszuständigen SVT

    - #### setLeistungsSvtCode

          public void setLeistungsSvtCode(String leistungsSvtCode)

    - #### getVerrechnungsSvtCode

          public String getVerrechnungsSvtCode()

      Code des verrechnungszuständigen SV-Trägers.
      Format: 2-stellig
      Returns:
        Code des verrechnungszuständigen SVT

    - #### setVerrechnungsSvtCode

          public void setVerrechnungsSvtCode(String verrechnungsSvtCode)

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebiets.
      Format: 2-stellig
      Returns:
        Code des Fachgebiets

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### getBehandlungsfallCode

          public String getBehandlungsfallCode()

      Code des Behandlungsfalls.
      Format: 2-stellig
      Returns:
        Code des Behandlungsfalls

    - #### setBehandlungsfallCode

          public void setBehandlungsfallCode(String behandlungsfallCode)